export declare function isNumber(value: any): boolean;
export declare function isBoolean(value: any): boolean;
export declare function isString(value: any): value is string;
export declare function isFunction(value: any): boolean;
export declare function isSymbol(value: any): value is symbol;
export declare function isObject(value: any): any;
export declare function isArray(value: any): value is any[];
export declare function isNaN(value: any): boolean;
export declare const isNull: (value: any) => boolean;
export declare const isUndefined: (value: any) => boolean;
export declare const isInteger: (number: unknown) => boolean;
export declare function isEmptyObject(value: any): any;
export declare function isEmptyArray(value: any): boolean;
export declare function isPromise(value: any): any;
export declare function isRegex(value: any): boolean;
export declare function isBigInt(value: any): value is bigint;
export declare const max: (value: number, a: number) => boolean;
export declare const min: (value: number, a: number) => boolean;
export declare const regex: (value: string, regexExpress: RegExp) => boolean;
export declare const length: (arrOrString: string | Array<any>, [a, b]: [number, number] | [number]) => boolean;
